;-------------------------------------------------------------------------
;				Comand Table
;-------------------------------------------------------------------------
;
;			Programming commands
;
command_table:
	.db	"PROG", 0, 0
	rjmp	Prog
	.db	"FPR", 0
	rjmp	FastProg		;fast mode
	.db	"READ", 0, 0
	rjmp	Read
;	.db	"ERASE", 0
;	rjmp	erase
;	.db	"LOCK", 0, 0
;	rjmp	lock			;set, read lock bits
;	.db	"FUSE", 0, 0
;	rjmp	fuse			;set, read fuse bits

;			Device selection

	.db	"DM8", 0
	rjmp	dm8			;ATMEGA8 Flash
	.db	"DEM8", 0, 0
	rjmp	dem8			;ATMEGA8 EPROM

;			Programmer control

	.db	"res", 0
	rjmp	userprog
command_enable:
	.db	0xF8, 0xF0, 0xE0, 0x80, 0xFC, 0
	rjmp	enable
	.db	0, 0			;last entry, fits ever
prog_error:
	sbr	flags, 1<<f_error
	ret
;-------------------------------------------------------------------------
dm8:	cbr	flags, 1<<f_eeprom
	ret
dem8:	sbr	flags, 1<<f_eeprom
u5v:	ret
enable:	sbr	flags, 1<<f_enable

;	sbi	LED_DDR, LED2		;test output

	ret
;-------------------------------------------------------------------------
